For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ai Images

List AI image jobs with pagination (Admin only)

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
statusstring · enumOptionalPossible values:
jobTypestring · enumOptionalPossible values:
limitinteger · max: 100OptionalDefault: 50
offsetinteger · max: 2147483647OptionalDefault: 0
Responses
200

Successful response

application/json
totalnumberRequired
limitnumberRequired
offsetnumberRequired
get/ai-images
GET /api/v2/ai-images HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "values": [
    {
      "id": 1,
      "jobType": "SLASH",
      "entityId": 1,
      "status": "PENDING",
      "isSelected": true,
      "error": "text",
      "metadata": null,
      "createdAt": "text",
      "updatedAt": "text",
      "completedAt": "text",
      "AiImages": [
        {
          "id": 1,
          "jobId": 1,
          "fileName": "text",
          "imageUrl": "text",
          "metadata": null,
          "createdAt": "text"
        }
      ]
    }
  ],
  "total": 1,
  "limit": 1,
  "offset": 1
}

List all AI image jobs for a specific entity (Admin only)

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
entityTypestring · enumRequiredPossible values:
entityIdinteger · max: 9007199254740991Required
Responses
200

Successful response

application/json
idnumberRequired
jobTypestring · enumRequiredPossible values:
entityIdnumberRequired
statusstring · enumRequiredPossible values:
isSelectedbooleanRequired
errorstring · nullableRequired
metadataany · nullableRequired
createdAtstringRequired
updatedAtstringRequired
completedAtstring · nullableRequired
get/ai-images/by-entity
GET /api/v2/ai-images/by-entity?entityType=SLASH&entityId=1 HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "jobType": "SLASH",
    "entityId": 1,
    "status": "PENDING",
    "isSelected": true,
    "error": "text",
    "metadata": null,
    "createdAt": "text",
    "updatedAt": "text",
    "completedAt": "text",
    "AiImages": [
      {
        "id": 1,
        "jobId": 1,
        "fileName": "text",
        "imageUrl": "text",
        "metadata": null,
        "createdAt": "text"
      }
    ]
  }
]

Get selected AI image job for entity

get
Query parameters
entityTypestring · enumRequiredPossible values:
entityIdinteger · max: 9007199254740991Required
Responses
200

Successful response

application/json
idnumberRequired
jobTypestring · enumRequiredPossible values:
entityIdnumberRequired
statusstring · enumRequiredPossible values:
isSelectedbooleanRequired
errorstring · nullableRequired
metadataany · nullableRequired
createdAtstringRequired
updatedAtstringRequired
completedAtstring · nullableRequired
get/ai-images/selected
GET /api/v2/ai-images/selected?entityType=SLASH&entityId=1 HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "id": 1,
  "jobType": "SLASH",
  "entityId": 1,
  "status": "PENDING",
  "isSelected": true,
  "error": "text",
  "metadata": null,
  "createdAt": "text",
  "updatedAt": "text",
  "completedAt": "text",
  "AiImages": [
    {
      "id": 1,
      "jobId": 1,
      "fileName": "text",
      "imageUrl": "text",
      "metadata": null,
      "createdAt": "text"
    }
  ]
}

Get AI image job details (Admin only)

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdinteger · max: 9007199254740991Required
Responses
200

Successful response

application/json
idnumberRequired
jobTypestring · enumRequiredPossible values:
entityIdnumberRequired
statusstring · enumRequiredPossible values:
isSelectedbooleanRequired
errorstring · nullableRequired
metadataany · nullableRequired
createdAtstringRequired
updatedAtstringRequired
completedAtstring · nullableRequired
get/ai-images/{jobId}
GET /api/v2/ai-images/{jobId} HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "jobType": "SLASH",
  "entityId": 1,
  "status": "PENDING",
  "isSelected": true,
  "error": "text",
  "metadata": null,
  "createdAt": "text",
  "updatedAt": "text",
  "completedAt": "text",
  "AiImages": [
    {
      "id": 1,
      "jobId": 1,
      "fileName": "text",
      "imageUrl": "text",
      "metadata": null,
      "createdAt": "text"
    }
  ]
}

Regenerate AI image job (Admin only)

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
jobIdinteger · max: 9007199254740991Required
markAsSelectedbooleanOptionalDefault: false
promptOverridestringOptional
Responses
200

Successful response

application/json
jobIdnumberRequired
post/ai-images/regenerate
POST /api/v2/ai-images/regenerate HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "jobId": 1,
  "markAsSelected": false,
  "promptOverride": "text",
  "imageUrlOverrides": [
    "https://example.com"
  ]
}
{
  "jobId": 1
}

Activate AI image job as the image to use for an entity (Admin only)

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
jobIdinteger · max: 9007199254740991Required
Responses
200

Successful response

application/json
successbooleanRequired
post/ai-images/activate
POST /api/v2/ai-images/activate HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "jobId": 1
}
{
  "success": true
}

Retry a failed AI image job (Admin only)

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
jobIdinteger · max: 9007199254740991Required
Responses
200

Successful response

application/json
successbooleanRequired
post/ai-images/retry
POST /api/v2/ai-images/retry HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "jobId": 1
}
{
  "success": true
}

Last updated